Skip to main content
POST
/
v1
/
audios
/
generations
curl --request POST \ --url https://api.evolink.ai/v1/audios/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "model": "suno-persona", "model_params": { "source_task_id": "task-unified-1774169216-ocqaqde7", "result_id": "4fcc4507-a7ae-4441-ad8a-465c2f61d5bb", "name": "Electronic Pop Singer", "description": "Modern electronic style with energetic beats and synthesizer tones for dance music" } } '
{ "created": 1774170584, "id": "task-unified-1774170584-su75smg7", "model": "suno-persona", "object": "audio.generation.task", "progress": 0, "status": "pending", "task_info": { "can_cancel": false, "estimated_time": 15 }, "type": "audio", "usage": { "billing_rule": "per_call", "credits_reserved": 1, "user_group": "default" } }

Authorizations

Authorization
string
header
required

##All APIs require Bearer Token authentication##

Get API Key:

Visit API Key Management Page to get your API Key

Add to request header:

Authorization: Bearer YOUR_API_KEY

Body

application/json
model
enum<string>
required

Model name, fixed as suno-persona

Available options:
suno-persona
Example:

"suno-persona"

model_params
object
required

Persona creation parameters

Response

Persona creation task submitted successfully

created
integer

Task creation timestamp

Example:

1774170584

id
string

Task ID, used to query task status and results

Example:

"task-unified-1774170584-su75smg7"

model
string

Actual model name used

Example:

"suno-persona"

object
enum<string>

Task type

Available options:
audio.generation.task
progress
integer

Task progress percentage (0-100)

Required range: 0 <= x <= 100
Example:

0

status
enum<string>

Task status

Available options:
pending,
processing,
completed,
failed
Example:

"pending"

task_info
object

Task details

type
enum<string>

Task output type

Available options:
audio
Example:

"audio"

usage
object

Usage and billing information